Bug 47919 - Update port games/gtetrinet to 0.6.0 and pick maintainership
Summary: Update port games/gtetrinet to 0.6.0 and pick maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-04 22:30 UTC by Miguel Mendez
Modified: 2003-02-04 23:14 UTC (History)
0 users

See Also:


Attachments
gtetrinet.diff (928 bytes, patch)
2003-02-04 22:30 UTC, Miguel Mendez
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Miguel Mendez 2003-02-04 22:30:12 UTC
0.6.0 is out. The ftp site has been moved to gnome, *BUT* the mirrors 
don't have it yet, so whoever commits this, keep that in mind. They'll
catchup in a few hours tho. Since this is orphaned, take maintainership.
Comment 1 Joe Marcus Clarke 2003-02-04 22:40:47 UTC
On Tue, 2003-02-04 at 17:21, Miguel Mendez wrote:
> >Number:         47919
> >Category:       ports
> >Synopsis:       Update port games/gtetrinet to 0.6.0 and pick maintainership
> >Confidential:   no
> >Severity:       non-critical
> >Priority:       low
> >Responsible:    freebsd-ports-bugs
> >State:          open
> >Quarter:        
> >Keywords:       
> >Date-Required:
> >Class:          update
> >Submitter-Id:   current-users
> >Arrival-Date:   Tue Feb 04 14:30:12 PST 2003
> >Closed-Date:
> >Last-Modified:
> >Originator:     Miguel Mendez
> >Release:        FreeBSD 5.0-RELEASE i386
> >Organization:
> >Environment:
> System: FreeBSD christine.energyhq.tk 5.0-RELEASE FreeBSD 5.0-RELEASE #0: Thu Jan 16 23:49:01 CET 2003 root@christine.energyhq.tk:/usr/obj/usr/src/sys/CHRISTINE i386
> 
> 
> 	
> >Description:
> 0.6.0 is out. The ftp site has been moved to gnome, *BUT* the mirrors 
> don't have it yet, so whoever commits this, keep that in mind. They'll
> catchup in a few hours tho. Since this is orphaned, take maintainership.
> >How-To-Repeat:
> 	
> >Fix:
> 
> 	
> 
> --- gtetrinet.diff begins here ---
> diff -ruN gtetrinet.old/Makefile gtetrinet/Makefile
> --- gtetrinet.old/Makefile	Thu Jan 16 23:41:38 2003
> +++ gtetrinet/Makefile	Tue Feb  4 23:15:30 2003
> @@ -5,12 +5,12 @@
>  # $FreeBSD: ports/games/gtetrinet/Makefile,v 1.11 2003/01/16 22:41:38 arved Exp $
>  
>  PORTNAME=	gtetrinet
> -PORTVERSION=	0.5.2
> +PORTVERSION=	0.6.0
>  CATEGORIES=	games gnome
> -MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
> -MASTER_SITE_SUBDIR=	${PORTNAME}
> +MASTER_SITES=	${MASTER_SITE_GNOME}
> +MASTER_SITE_SUBDIR=	sources/${PORTNAME}/0.6


When downloading from here, please make sure to use USE_BZIP2, and
DIST_SUBDIR=gnome2.  If you resubmit the diff to me, I'll commit this
for you.

Joe

-- 
PGP Key : http://www.marcuscom.com/pgp.asc

Comment 2 Miguel Mendez 2003-02-04 22:56:18 UTC
On 04 Feb 2003 17:40:47 -0500
Joe Marcus Clarke <marcus@marcuscom.com> wrote:

Hi,

> When downloading from here, please make sure to use USE_BZIP2, and
> DIST_SUBDIR=gnome2.  If you resubmit the diff to me, I'll commit this
> for you.

Absolutely. You're right, as always :-) Thanks for pointing this out.


diff -ruN gtetrinet.old/Makefile gtetrinet/Makefile
--- gtetrinet.old/Makefile	Thu Jan 16 23:41:38 2003
+++ gtetrinet/Makefile	Tue Feb  4 23:43:56 2003
@@ -5,15 +5,17 @@
 # $FreeBSD: ports/games/gtetrinet/Makefile,v 1.11 2003/01/16 22:41:38 arved Exp $
 
 PORTNAME=	gtetrinet
-PORTVERSION=	0.5.2
+PORTVERSION=	0.6.0
 CATEGORIES=	games gnome
-MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
-MASTER_SITE_SUBDIR=	${PORTNAME}
+MASTER_SITES=	${MASTER_SITE_GNOME}
+MASTER_SITE_SUBDIR=	sources/${PORTNAME}/0.6
+DIST_SUBDIR=	gnome2
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	flynn@energyhq.homeip.net
 
 LIB_DEPENDS=	gnomeui-2.0:${PORTSDIR}/x11-toolkits/libgnomeui
 
+USE_BZIP2=	yes
 USE_X_PREFIX=	yes
 USE_GNOMENG=	yes
 USE_GNOME=	gnomehack gnomeprefix esound
diff -ruN gtetrinet.old/distinfo gtetrinet/distinfo
--- gtetrinet.old/distinfo	Thu Jan 16 23:41:38 2003
+++ gtetrinet/distinfo	Tue Feb  4 23:55:05 2003
@@ -1 +1 @@
-MD5 (gtetrinet-0.5.2.tar.gz) = 67e0aaf2cd20b11091cf6b5d2dddb156
+MD5 (gnome2/gtetrinet-0.6.0.tar.bz2) = 64525166ac8a3b39cb55ff5699b21cc8

-- 
        Miguel Mendez - flynn@energyhq.homeip.net
        GPG Public Key :: http://energyhq.homeip.net/files/pubkey.txt
        EnergyHQ :: http://www.energyhq.tk
        Of course it runs NetBSD!
Comment 3 Joe Marcus Clarke freebsd_committer 2003-02-04 23:14:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marcus

I'll take this.
Comment 4 Joe Marcus Clarke freebsd_committer 2003-02-04 23:14:22 UTC
State Changed
From-To: open->closed

Committed with quite a few plist modifications.  Be sure to check for plist 
changes in the future.